.ec-main-slider .main_banner_arrow_img {
  display: none !important;
}

.ec-main-slider .slide-1,
.ec-main-slider .slide-2,
.ec-main-slider .slide-3,
.ec-main-slider .slide-4 {
  background-position: center;
  background-repeat: no-repeat;
  background-size: 100% auto;
  cursor: pointer;
}

.ec-main-slider .container {
  position: absolute;
  left: 0;
  right: 0;
  bottom: 35px !important;
}

/* .ec-main-slider * {
    direction: rtl;
} */

.ec-main-slider .slick-vertical .slick-slide {
  border: none;
}

.ec-slide-content .btn-secondary {
  background-color: #20202094;
}

ul.slick-dots {
  text-align: center;
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  margin-top: 0;
  margin-bottom: 10px;
}

.slick-dots li {
  width: 16px;
  height: 16px;
  display: inline-block;
  border-radius: 10px;
  opacity: 1;
  border: none;
  margin: 0 2.5px;
  -webkit-box-shadow: none;
  box-shadow: none;
  -webkit-transition: all 0.3s ease 0s;
  transition: all 0.3s ease 0s;
  background-color: #f79318;
  cursor: pointer;
}

.slick-dots li button {
  width: 100%;
  height: 100%;
  padding: 0;
  font-size: 0;
  display: none;
}

.slick-dots li.slick-active {
  background-color: #0d4fcf;
  width: 32px;
}

.ec-main-slider .slick-dots {
  text-align: center;
  width: auto;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  margin-top: 0;
  margin-bottom: 0;
  left: 0;
  right: 0%;
  -webkit-box-align: end;
  -ms-flex-align: end;
  align-items: end;
  position: absolute;
  bottom: 25px;
  height: 30px;
  width: 100%;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: row;
  flex-direction: row;
}

.ec-main-slider .slick-dots li {
  /* width: 15px; */
  height: 5px;
  width: 5px;
  font-size: 16px;
  line-height: 20px;
  display: inline-block;
  border-radius: 10px;
  opacity: 1;
  border: none;
  margin: 0 2.5px !important;
  -webkit-box-shadow: none;
  box-shadow: none;
  -webkit-transition: all 0.3s ease 0s;
  transition: all 0.3s ease 0s;
  background-color: #202020;
}

.ec-main-slider .slick-dots li:after {
  -webkit-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
}

.ec-main-slider .slick-dots li:hover {
  -webkit-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
  background-color: #f79318;
}

.ec-main-slider .slick-dots li.slick-active {
  -webkit-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
  font-size: 30px;
  background: none;
  width: auto;
  background-color: #f79318;
  width: 13px;
  /* height: 3px; */
}

.ec-main-slider .slick-slide.slick-current.slick-active .slider-animation > * {
  -webkit-animation-name: fadeInDown;
  animation-name: fadeInDown;
}

.ec-main-slider
  .slick-slide.slick-current.slick-active
  .slider-animation
  > *:nth-child(1) {
  -webkit-animation-delay: 0.4s;
  animation-delay: 0.4s;
}

.ec-main-slider
  .slick-slide.slick-current.slick-active
  .slider-animation
  > *:nth-child(2) {
  -webkit-animation-delay: 0.6s;
  animation-delay: 0.6s;
}

.ec-main-slider
  .slick-slide.slick-current.slick-active
  .slider-animation
  > *:nth-child(3) {
  -webkit-animation-delay: 0.8s;
  animation-delay: 0.8s;
}

.ec-main-slider
  .slick-slide.slick-current.slick-active
  .slider-animation
  > *:nth-child(4) {
  -webkit-animation-delay: 1s;
  animation-delay: 1s;
}

.ec-main-slider
  .slick-slide.slick-current.slick-active
  .slider-animation
  > *:nth-child(5) {
  -webkit-animation-delay: 1.2s;
  animation-delay: 1.2s;
}

.ec-main-slider
  .slick-slide.slick-current.slick-active
  .slider-animation
  > *:nth-child(6) {
  -webkit-animation-delay: 1.4s;
  animation-delay: 1.4s;
}

/* .ec-main-slider .main_banner_arrow_img {
    display: block !important;
} */

.ec-main-slider .slick-dots li:not(:last-child) {
  margin-bottom: 30px;
}

.ec-main-slider .slick-dots li:not(:last-child):after {
  height: 20px;
  margin-bottom: -20px;
  margin-top: 14px;
}

.ec-main-slider .slick-dots li.slick-active {
  font-size: 22px;
}

/* .ec-main-slider .slide-1,
.ec-main-slider .slide-2,
.ec-main-slider .slide-3,
.ec-main-slider .slide-4 {
    height: 21.3vh;
} */

.ec-main-slider .slick-dots {
  bottom: 10px;
}

.ec-slide-item {
  position: relative;
  overflow: hidden;
  background-color: #f0f0f0;
}

#ar_banner_subcat .swiper-wrapper,
#en_banner_subcat .swiper-wrapper {
  overflow: auto;
  scroll-behavior: smooth;
  gap: 10px;
  box-sizing: border-box;
}

@media (max-width: 768px) {
  #ar_banner_subcat .swiper-wrapper,
  #en_banner_subcat .swiper-wrapper {
    overflow-x: auto;
    overflow-y: hidden;
    -ms-overflow-style: none;
    scrollbar-width: none;
  }

  #ar_banner_subcat .swiper-wrapper::-webkit-scrollbar,
  #en_banner_subcat .swiper-wrapper::-webkit-scrollbar {
    display: none;
  }
}

/* #ar_banner_subcat .swiper-button-prev,
#ar_banner_subcat .swiper-button-next,
#en_banner_subcat .swiper-button-prev,
#en_banner_subcat .swiper-button-next, */
#main_categs_section .swiper-button-prev,
#main_categs_section .swiper-button-next,
#brands_section .swiper-button-prev,
#brands_section .swiper-button-next {
  background: var(--primary-color) !important;
  width: 38px !important;
  height: 38px !important;
  border-radius: 50%;
  color: #fff !important;
}

#main_categs_section .swiper-button-prev,
#main_categs_section .swiper-button-next,
#brands_section .swiper-button-prev,
#brands_section .swiper-button-next {
  background-color: var(--primary-color) !important;
}

#ar_banner_subcat .swiper-button-prev::after,
#ar_banner_subcat .swiper-button-next::after,
#en_banner_subcat .swiper-button-prev::after,
#en_banner_subcat .swiper-button-next::after,
#main_categs_section .swiper-button-prev::after,
#main_categs_section .swiper-button-next::after,
#brands_section .swiper-button-prev::after,
#brands_section .swiper-button-next::after {
  font-size: 16px !important;
}

#ar_banner_subcat .ec-slide-item,
#en_banner_subcat .ec-slide-item {
  background-color: transparent;
  gap: 10px;
  flex-flow: column;
  /* padding: 15px; */
  height: 100%;
  width: 33%;
}

@media (min-width: 768px) {
  #ar_banner_subcat .ec-slide-item,
  #en_banner_subcat .ec-slide-item {
    width: 16%;
  }
}

#ar_banner_subcat .slick-slide,
#en_banner_subcat .slick-slide {
  width: 155.909px !important;
  height: 200px !important;
}
#ar_banner_subcat .slick-slide > div,
#en_banner_subcat .slick-slide > div {
  height: 100%;
}
html[dir="ltr"] #ar_banner_subcat .slick-slide,
html[dir="ltr"] #en_banner_subcat .slick-slide {
  margin-right: 10px;
}
html[dir="rtl"] #ar_banner_subcat .slick-slide,
html[dir="rtl"] #en_banner_subcat .slick-slide {
  margin-left: 10px;
}

.bannerImg::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: linear-gradient(
    90deg,
    transparent,
    rgba(255, 255, 255, 0.2),
    transparent
  );
  animation: shimmer 2s infinite;
  z-index: 1;
}

.bannerImg.loaded::before {
  display: none;
}

/* 670×290 */
.topBanner,
.bottomBanner {
  position: relative;
  width: 100%;
  padding-top: 43.28%;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

/* 670×290 */
.midBanner {
  position: relative;
  width: 100%;
  padding-top: 43.28%;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

/* 670×290 */
.catBanner {
  position: relative;
  width: 100%;
  padding-top: 43.28%;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}
/* 460 × 572 */
.subcatBanner {
  position: relative;
  width: 100%;
  padding-top: 124.35%;
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;
}

.slick-progress {
  width: 67%;
  height: 6px;
  background: #e3e5ea;
  margin: 0px auto;
  margin-top: 8px;
  overflow: hidden;
  position: relative;
  border-radius: 4px;
}

.slick-progress-bar {
  width: 20%;
  height: 100%;
  background: var(--primary-color);
  transition:
    width linear 0ms,
    margin linear 300ms;
  border-radius: 5px;
}

.slick-prev,
.slick-next {
  background: var(--primary-color) !important;
  width: 38px !important;
  height: 38px !important;
  border-radius: 50%;
  color: #fff !important;
  font-size: 0;
  line-height: 0;
  position: absolute;
  top: 50%;
  display: block;
  transform: translate(0, -50%);
  border: none;
  outline: none;
  z-index: 2;
}

.slick-prev {
  left: 20px !important;
  right: auto !important;
}

.slick-next {
  right: 20px !important;
  left: auto !important;
}

.slick-prev:before {
  content: "prev" !important;
  font-family: swiper-icons;
}

/* html[dir="ltr"] .slick-prev:before {
  content: "prev" !important;
}

html[dir="ltr"] .slick-next:before {
  content: "next" !important;
}

html[dir="ltr"] .slick-prev {
  right: auto !important;
  left: 20px !important;
}

html[dir="ltr"] .slick-next {
  left: auto !important;
  right: 20px !important;
} */

.slick-next:before {
  content: "next" !important;
  font-family: swiper-icons;
}

.slick-prev:before,
.slick-next:before {
  font-size: 16px;
}

/* #ar_banner_subcat .swiper-container,
#en_banner_subcat .swiper-container {
  padding: 0 132px !important;
} */
#ar_banner_subcat .ec-slide-item,
#en_banner_subcat .ec-slide-item {
  /* background: var(--primary-color); */
  border-radius: 8px !important;
}

.slick-track {
  display: flex !important;
  transform: translate3d(0, 0, 0);
}

.purple-title {
  display: none !important;
  color: #fff;
  font-size: 11px;
  font-weight: 600;
  margin: 0;
  text-align: center;
  white-space: nowrap;
  line-height: 18px;
  height: 18px;
  letter-spacing: -0.2px;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  line-clamp: 1;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  direction: rtl;
}

@media (min-width: 576px) {
  .purple-title {
    font-size: 13px;
    line-height: 20px;
    height: 20px;
  }
}

@media (min-width: 768px) {
  .purple-title {
    font-size: 15px;
    line-height: 22px;
    height: 22px;
  }
}

@media (min-width: 1200px) {
  .purple-title {
    font-size: 17px;
    line-height: 24px;
    height: 24px;
  }
}

@media (min-width: 767px) {
  .slick-progress {
    display: none !important;
  }
  .bannersDesktop {
    display: flex;
  }
  html[dir="ltr"] .bannersDesktop {
    flex-direction: row-reverse;
  }
  #ar_banner_subcat-wrapper,
  #ar_banner_mid-wrapper,
  #en_banner_subcat-wrapper,
  #en_banner_mid-wrapper {
    width: 100%;
    display: inline-block;
  }

  #ar_banner_subcat .ec-slide-item,
  #en_banner_subcat .ec-slide-item {
    /* height: 350px; */
    align-items: center;
  }

  /* .subcatBanner {
    padding-top: 260px;
    width: 260px;
  } */
}

#ar_banner_mid-wrapper,
#en_banner_mid-wrapper,
#ar_banner_cat-wrapper,
#en_banner_cat-wrapper,
#brands_section-wrapper,
#best_selling_section-wrapper {
  margin-top: 8px;
  margin-bottom: 8px;
}
